GET /action/package_search
Summary: Search datasets
Operation ID: searchDatasets
Auth: unknown
Operation ID: searchDatasets
Auth: unknown
Description
Search for datasets in the Data.gov catalog. Supports full-text search, filtering by organization, tags, and other criteria.
Parameters (5)
fq
(string, query, optional)
Filter query (e.g., organization:exim-gov, tags:health)
q
(string, query, optional)
Search query string
rows
(integer, query, optional, default: 10)
Number of results to return (max 1000)
Constraints: {'minimum': 1, 'maximum': 1000}
sort
(string, query, optional, default: score desc)
Sort order
Constraints: {'enum': ['score desc', 'title_string asc', 'title_string desc', 'name asc', 'name desc', 'views_recent desc']}
start
(integer, query, optional, default: 0)
Offset for pagination
Constraints: {'minimum': 0}
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Basic dataset search | curl |
https://www.data.gov/action/package_search?q=climate |
|
| Search with pagination | curl |
https://www.data.gov/action/package_search?q=health&rows=20&start=0 |
|
| Search for education datasets with limited results | curl |
https://www.data.gov/action/package_search?q=education&rows=5 |
|
| Search datasets | openapi-spec |
https://catalog.data.gov/api/3/action/package_search?q=climate&fq=organization:exim-gov |
|
| Search datasets | probe-gate |
https://catalog.data.gov/api/3/action/package_search?q=climate&rows=10&start=0&sort=score+desc&fq=organization%3Aexim-gov |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:43:40.960515 | 404 | 1474ms | |
| 2026-03-23 10:13:41.074865 | 200 | 559ms | |
| 2026-03-23 09:49:49.327851 | 404 | 1573ms | |
| 2026-03-23 09:28:16.739272 | 200 | 749ms | |
| 2026-03-23 09:23:33.564804 | 404 | 1399ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:28:16.739272 | 1a1f2cab946c |
a2b99c57371a |
| 2026-03-23 09:49:49.327851 | a2b99c57371a |
1a1f2cab946c |
| 2026-03-23 10:13:41.074865 | 1a1f2cab946c |
8424533ea766 |
| 2026-03-23 10:43:40.960515 | 8424533ea766 |
1a1f2cab946c |